Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -10954,63 +20356,1413 @@
 embedded images.
 
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+    0.1    MPImageFlags                         no
+    0.2    MPImageFormat                        no
+    0.3    MPImageType                          no
+      4    MPImageLength                        no
+      8    MPImageStart                         no
+     12    DependentImage1EntryNumber           no
+     14    DependentImage2EntryNumber           no
+
+=head2 Stim Tags
+
+These tags are part of the CIPA Stereo Still Image specification, and are
+found in the APP3 "Stim" segment of JPEG images.  See
+L<https://web.archive.org/web/20190718152459/http://www.cipa.jp/std/documents/e/DC-006_E.pdf>
+for the official specification.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  0x0000   StimVersion                          no
+  0x0001   ApplicationData                      no
+  0x0002   ImageArrangement                     no
+  0x0003   ImageRotation                        no
+  0x0004   ScalingFactor                        no
+  0x0005   CropXSize                            no
+  0x0006   CropYSize                            no
+  0x0007   CropX                                Stim CropX
+  0x0008   CropY                                Stim CropY
+  0x0009   ViewType                             no
+  0x000a   RepresentativeImage                  no
+  0x000b   ConvergenceBaseImage                 no
+  0x000c   AssumedDisplaySize                   no
+  0x000d   AssumedDistanceView                  no
+  0x000e   RepresentativeDisparityNear          no
+  0x000f   RepresentativeDisparityFar           no
+  0x0010   InitialDisplayEffect                 no
+  0x0011   ConvergenceDistance                  no
+  0x0012   CameraArrangementInterval            no
+  0x0013   ShootingCount                        no
+
+=head3 Stim CropX Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    CropXCommonOffset                    no
+      2    CropXViewpointNumber                 no
+      3    CropXOffset                          no
+      7    CropXViewpointNumber2                no
+      8    CropXOffset2                         no
+
+=head3 Stim CropY Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    CropYCommonOffset                    no
+      2    CropYViewpointNumber                 no
+      3    CropYOffset                          no
+      7    CropYViewpointNumber2                no
+      8    CropYOffset2                         no
+
+=head2 Scalado Tags
+
+Tags extracted from the JPEG APP4 "SCALADO" segment found in images from
+HTC, LG and Samsung phones.  (Presumably written by Scalado mobile software,
+L<http://www.scalado.com/>.)
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  'HGHT'   PreviewImageHeight                   no
+  'QUAL'   PreviewQuality                       no
+  'SPMO'   DataLength?                          no
+  'WDTH'   PreviewImageWidth                    no
+
+=head2 GoPro Tags
+
+=head3 GoPro GPMF Tags
+
+Tags extracted from the GPMF box of GoPro MP4 videos, the APP6 "GoPro"
+segment of JPEG files, and from the "gpmd" timed metadata if the
+ExtractEmbedded (-ee) option is enabled.  Many more tags exist, but are
+currently unknown and extracted only with the Unknown (-u) option. Please
+let me know if you discover the meaning of any of these unknown tags. See
+L<https://github.com/gopro/gpmf-parser> for details about this format.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  'ACCL'   Accelerometer                        no
+  'ALLD'   AutoLowLightDuration                 no
+  'ATTD'   Attitude                             no
+  'ATTR'   AttitudeTarget                       no
+  'AUDO'   AudioSetting                         no
+  'BPOS'   Controller?                          no
+  'CASN'   CameraSerialNumber                   no
+  'CSEN'   CoyoteSense                          no
+  'CYTS'   CoyoteStatus                         no
+  'DEVC'   DeviceContainer                      GoPro GPMF
+  'DVID'   DeviceID?                            no
+  'DVNM'   DeviceName                           no
+  'DZOM'   DigitalZoom                          no
+  'EISA'   ElectronicImageStabilization         no
+  'EMPT'   Empty?                               no
+  'ESCS'   EscapeStatus?                        no
+  'FACE'   FaceDetected                         no
+  'FCNM'   FaceNumbers                          no
+  'FMWR'   FirmwareVersion                      no
+  'FWVS'   OtherFirmware                        no
+  'GLPI'   GPSPos                               GoPro GLPI
+  'GPRI'   GPSRaw?                              GoPro GPRI
+  'GPS5'   GPSInfo                              GoPro GPS5
+  'GPSF'   GPSMeasureMode                       no
+  'GPSP'   GPSHPositioningError                 no
+  'GPSU'   GPSDateTime                          no
+  'GYRO'   Gyroscope                            no
+  'ISOE'   ISOSpeeds                            no
+  'ISOG'   ImageSensorGain                      no
+  'KBAT'   BatteryStatus                        GoPro KBAT
+  'LNED'   LocalPositionNED                     no
+  'MAGN'   Magnetometer                         no
+  'MINF'   Model                                no
+  'OREN'   AutoRotation                         no
+  'PHDR'   HDRSetting                           no
+  'PIMN'   AutoISOMin                           no
+  'PIMX'   AutoISOMax                           no
+  'PRES'   PhotoResolution                      no
+  'PRTN'   ProTune                              no
+  'PTCL'   ColorMode                            no
+  'PTEV'   ExposureCompensation                 no
+  'PTSH'   Sharpness                            no
+  'PTWB'   WhiteBalance                         no
+  'RATE'   Rate                                 no
+  'RMRK'   Comments                             no
+  'SCAL'   ScaleFactor?                         no
+  'SCPR'   ScaledPressure                       no
+  'SHUT'   ExposureTimes                        no
+  'SIMU'   ScaledIMU                            no
+  'SIUN'   SIUnits?                             no
+  'STMP'   TimeStamp                            no
+  'STNM'   StreamName?                          no
+  'STRM'   NestedSignalStream                   GoPro GPMF
+  'SYST'   SystemTime                           no
+  'TMPC'   CameraTemperature                    no
+  'TSMP'   TotalSamples?                        no
+  'TYPE'   StructureType?                       no
+  'UNIT'   Units?                               no
+  'VERS'   MetadataVersion                      no
+  'VFOV'   FieldOfView                          no
+  'VFRH'   VisualFlightRulesHUD                 no
+  'WBAL'   ColorTemperatures                    no
+  'WRGB'   WhiteBalanceRGB                      no
+
+=head3 GoPro GLPI Tags
+
    Index   Tag Name                             Writable
    -----   --------                             --------
-    0.1    MPImageFlags                         N
-    0.2    MPImageFormat                        N
-    0.3    MPImageType                          N
-      4    MPImageLength                        N
-      8    MPImageStart                         N
-     12    DependentImage1EntryNumber           N
-     14    DependentImage2EntryNumber           N
-
-=head2 Stim Tags
-
-These tags are part of the CIPA Stereo Still Image specification, and are
-found in the APP3 "Stim" segment of JPEG images.  See
-L<http://www.cipa.jp/english/hyoujunka/kikaku/pdf/DC-006_E.pdf> for the
-official specification.
-
-  Tag ID   Tag Name                             Writable
-  ------   --------                             --------
-  0x0000   StimVersion                          N
-  0x0001   ApplicationData                      N
-  0x0002   ImageArrangement                     N
-  0x0003   ImageRotation                        N
-  0x0004   ScalingFactor                        N
-  0x0005   CropXSize                            N
-  0x0006   CropYSize                            N
-  0x0007   CropX                                Stim CropX
-  0x0008   CropY                                Stim CropY
-  0x0009   ViewType                             N
-  0x000a   RepresentativeImage                  N
-  0x000b   ConvergenceBaseImage                 N
-  0x000c   AssumedDisplaySize                   N
-  0x000d   AssumedDistanceView                  N
-  0x000e   RepresentativeDisparityNear          N
-  0x000f   RepresentativeDisparityFar           N
-  0x0010   InitialDisplayEffect                 N
-  0x0011   ConvergenceDistance                  N
-  0x0012   CameraArrangementInterval            N
-  0x0013   ShootingCount                        N
-
-=head3 Stim CropX Tags
+      0    GPSDateTime                          no
+      1    GPSLatitude                          no
+      2    GPSLongitude                         no
+      3    GPSAltitude                          no
+      5    GPSSpeedX                            no
+      6    GPSSpeedY                            no
+      7    GPSSpeedZ                            no
+      8    GPSTrack                             no
+
+=head3 GoPro GPRI Tags
 
    Index   Tag Name                             Writable
    -----   --------                             --------
-      0    CropXCommonOffset                    N
-      2    CropXViewpointNumber                 N
-      3    CropXOffset                          N
-      7    CropXViewpointNumber2                N
-      8    CropXOffset2                         N
-
-=head3 Stim CropY Tags
+      0    GPSDateTimeRaw                       no
+      1    GPSLatitudeRaw                       no
+      2    GPSLongitudeRaw                      no
+      3    GPSAltitudeRaw                       no
+      6    GPSSpeedRaw                          no
+      7    GPSTrackRaw                          no
+
+=head3 GoPro GPS5 Tags
 
    Index   Tag Name                             Writable
    -----   --------                             --------
-      0    CropYCommonOffset                    N
-      2    CropYViewpointNumber                 N
-      3    CropYOffset                          N
-      7    CropYViewpointNumber2                N
-      8    CropYOffset2                         N
+      0    GPSLatitude                          no
+      1    GPSLongitude                         no
+      2    GPSAltitude                          no
+      3    GPSSpeed                             no
+      4    GPSSpeed3D                           no
+
+=head3 GoPro KBAT Tags
+
+Battery status information found in GoPro Karma videos.
+
+   Index   Tag Name                             Writable
+   -----   --------                             --------
+      0    BatteryCurrent                       no
+      1    BatteryCapacity                      no
+      3    BatteryTemperature                   no
+      4    BatteryVoltage1                      no
+      5    BatteryVoltage2                      no
+      6    BatteryVoltage3                      no
+      7    BatteryVoltage4                      no
+      8    BatteryTime                          no
+     14    BatteryLevel                         no
+
+=head3 GoPro fdsc Tags
+
+Tags extracted from the MP4 "fdsc" timed metadata when the ExtractEmbedded
+(-ee) option is used.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      8    FirmwareVersion                      no
+     23    SerialNumber                         no
+     87    OtherSerialNumber                    no
+    102    Model                                no
+
+=head2 Qualcomm Tags
+
+The tags below have been observed in the JPEG APP7 "Qualcomm Camera
+Attributes" segment written by some cameras such as the HP iPAQ Voice
+Messenger.  ExifTool will extract any information found from this segment,
+even if it is not listed in this table.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  AECAggressiveness                             no
+  AECCurrentExpIndex                            no
+  AECCurrentSensorLuma                          no
+  AECEnable                                     no
+  AECExposureIndexAdjStep                       no
+  AECHighLumaRegionCount                        no
+  AECHighLumaRegionThreshold                    no
+  AECIndoorIdx                                  no
+  AECLumaTarget                                 no
+  AECLumaTolerance                              no
+  AECMode                                       no
+  AECOdoorIdx                                   no
+  AECOutdoorBrightDiscarded                     no
+  AECOutdoorBrightEnable                        no
+  AECOutdoorBrightReduction                     no
+  AECOutdoorBrightThresholdHI                   no
+  AECOutdoorBrightThresholdLO                   no
+  AECOutdoorGammaIndex                          no
+  AECSnapshotDigitalGain                        no
+  AECSnapshotExposureTimeMs                     no
+  AECSnapshotLineCount                          no
+  AECSnapshotSensorGain                         no
+  AECVfeLuma                                    no
+  AFBoundary                                    no
+  AFCollectEndStat                              no
+  AFEnable                                      no
+  AFFarEnd                                      no
+  AFFineSrchPoints                              no
+  AFFineStep                                    no
+  AFFocusTime                                   no
+  AFGrossStep                                   no
+  AFMode                                        no
+  AFNearEnd                                     no
+  AFPosDefMacro                                 no
+  AFPosDefNorm                                  no
+  AFPosition                                    no
+  AFProcess                                     no
+  AFREnable                                     no
+  AFRFaster0ExpMod                              no
+  AFRFaster0Trigger                             no
+  AFRFaster1ExpMod                              no
+  AFRFaster1Trigger                             no
+  AFRFaster2ExpMod                              no
+  AFRFaster2Trigger                             no
+  AFRFaster3ExpMod                              no
+  AFRFaster3Trigger                             no
+  AFRFaster4ExpMod                              no
+  AFRFaster4Trigger                             no
+  AFRPossibleFrameCnt                           no
+  AFRSlower0ExpMod                              no
+  AFRSlower0Trigger                             no
+  AFRSlower1ExpMod                              no
+  AFRSlower1Trigger                             no
+  AFRSlower2ExpMod                              no
+  AFRSlower2Trigger                             no
+  AFRSlower3ExpMod                              no
+  AFRSlower3Trigger                             no
+  AFRSlower4ExpMod                              no
+  AFRSlower4Trigger                             no
+  AFResetLensAfterSnap                          no
+  AFStepsNearFar                                no
+  AFStepsNearInfinity                           no
+  AFTestMode                                    no
+  AFTracePositions00                            no
+  AFTracePositions01                            no
+  AFTracePositions02                            no
+  AFTracePositions03                            no
+  AFTracePositions04                            no
+  AFTracePositions05                            no
+  AFTracePositions06                            no
+  AFTracePositions07                            no
+  AFTracePositions08                            no
+  AFTracePositions09                            no
+  AFTracePositions10                            no
+  AFTracePositions11                            no
+  AFTracePositions12                            no
+  AFTracePositions13                            no
+  AFTracePositions14                            no
+  AFTracePositions15                            no
+  AFTracePositions16                            no
+  AFTracePositions17                            no
+  AFTracePositions18                            no
+  AFTracePositions19                            no
+  AFTracePositions20                            no
+  AFTracePositions21                            no
+  AFTracePositions22                            no
+  AFTracePositions23                            no
+  AFTracePositions24                            no
+  AFTracePositions25                            no
+  AFTracePositions26                            no
+  AFTracePositions27                            no
+  AFTracePositions28                            no
+  AFTracePositions29                            no
+  AFTracePositions30                            no
+  AFTracePositions31                            no
+  AFTracePositions32                            no
+  AFTracePositions33                            no
+  AFTracePositions34                            no
+  AFTracePositions35                            no
+  AFTracePositions36                            no
+  AFTracePositions37                            no
+  AFTracePositions38                            no
+  AFTracePositions39                            no
+  AFTracePositions40                            no
+  AFTracePositions41                            no
+  AFTracePositions42                            no
+  AFTracePositions43                            no
+  AFTracePositions44                            no
+  AFTracePositions45                            no
+  AFTracePositions46                            no
+  AFTracePositions47                            no
+  AFTracePositions48                            no
+  AFTracePositions49                            no
+  AFTraceStats00                                no
+  AFTraceStats01                                no
+  AFTraceStats02                                no
+  AFTraceStats03                                no
+  AFTraceStats04                                no
+  AFTraceStats05                                no
+  AFTraceStats06                                no
+  AFTraceStats07                                no
+  AFTraceStats08                                no
+  AFTraceStats09                                no
+  AFTraceStats10                                no
+  AFTraceStats11                                no
+  AFTraceStats12                                no
+  AFTraceStats13                                no
+  AFTraceStats14                                no
+  AFTraceStats15                                no
+  AFTraceStats16                                no
+  AFTraceStats17                                no
+  AFTraceStats18                                no
+  AFTraceStats19                                no
+  AFTraceStats20                                no
+  AFTraceStats21                                no
+  AFTraceStats22                                no
+  AFTraceStats23                                no
+  AFTraceStats24                                no
+  AFTraceStats25                                no
+  AFTraceStats26                                no
+  AFTraceStats27                                no
+  AFTraceStats28                                no
+  AFTraceStats29                                no
+  AFTraceStats30                                no
+  AFTraceStats31                                no
+  AFTraceStats32                                no
+  AFTraceStats33                                no
+  AFTraceStats34                                no
+  AFTraceStats35                                no
+  AFTraceStats36                                no
+  AFTraceStats37                                no
+  AFTraceStats38                                no
+  AFTraceStats39                                no
+  AFTraceStats40                                no
+  AFTraceStats41                                no
+  AFTraceStats42                                no
+  AFTraceStats43                                no
+  AFTraceStats44                                no
+  AFTraceStats45                                no
+  AFTraceStats46                                no
+  AFTraceStats47                                no
+  AFTraceStats48                                no
+  AFTraceStats49                                no
+  AFUndershootProtect                           no
+  AFVfeHorzOffset                               no
+  AFVfeHorzWidth                                no
+  AFVfeMetricMax                                no
+  AFVfeVertHeight                               no
+  AFVfeVertOffset                               no
+  ASF3EdgeDetect                                no
+  ASF3EdgeFilterA11                             no
+  ASF3EdgeFilterA12                             no
+  ASF3EdgeFilterA13                             no
+  ASF3EdgeFilterA21                             no
+  ASF3EdgeFilterA22                             no
+  ASF3EdgeFilterA23                             no
+  ASF3EdgeFilterA31                             no
+  ASF3EdgeFilterA32                             no
+  ASF3EdgeFilterA33                             no
+  ASF3Enable                                    no
+  ASF3LowerThreshold                            no
+  ASF3NoiseFilterA11                            no
+  ASF3NoiseFilterA12                            no
+  ASF3NoiseFilterA13                            no
+  ASF3NoiseFilterA21                            no
+  ASF3NoiseFilterA22                            no
+  ASF3NoiseFilterA23                            no
+  ASF3NoiseFilterA31                            no
+  ASF3NoiseFilterA32                            no
+  ASF3NoiseFilterA33                            no
+  ASF3UpperThreshold                            no
+  ASF5BrtLoThres                                no
+  ASF5BrtShrpDegF1                              no
+  ASF5BrtShrpDegF2                              no
+  ASF5BrtSmthPercent                            no
+  ASF5BrtUpThres                                no
+  ASF5Enable                                    no
+  ASF5ExposureIndex1                            no
+  ASF5ExposureIndex2                            no
+  ASF5Filter1A11                                no
+  ASF5Filter1A12                                no
+  ASF5Filter1A13                                no
+  ASF5Filter1A14                                no
+  ASF5Filter1A15                                no
+  ASF5Filter1A21                                no
+  ASF5Filter1A22                                no
+  ASF5Filter1A23                                no
+  ASF5Filter1A24                                no
+  ASF5Filter1A25                                no
+  ASF5Filter1A31                                no
+  ASF5Filter1A32                                no
+  ASF5Filter1A33                                no
+  ASF5Filter1A34                                no
+  ASF5Filter1A35                                no
+  ASF5Filter1A41                                no
+  ASF5Filter1A42                                no
+  ASF5Filter1A43                                no
+  ASF5Filter1A44                                no
+  ASF5Filter1A45                                no
+  ASF5Filter1A51                                no
+  ASF5Filter1A52                                no
+  ASF5Filter1A53                                no
+  ASF5Filter1A54                                no
+  ASF5Filter1A55                                no
+  ASF5Filter2A11                                no
+  ASF5Filter2A12                                no
+  ASF5Filter2A13                                no
+  ASF5Filter2A14                                no
+  ASF5Filter2A15                                no
+  ASF5Filter2A21                                no
+  ASF5Filter2A22                                no
+  ASF5Filter2A23                                no
+  ASF5Filter2A24                                no
+  ASF5Filter2A25                                no
+  ASF5Filter2A31                                no
+  ASF5Filter2A32                                no
+  ASF5Filter2A33                                no
+  ASF5Filter2A34                                no
+  ASF5Filter2A35                                no
+  ASF5Filter2A41                                no
+  ASF5Filter2A42                                no
+  ASF5Filter2A43                                no
+  ASF5Filter2A44                                no
+  ASF5Filter2A45                                no
+  ASF5Filter2A51                                no
+  ASF5Filter2A52                                no
+  ASF5Filter2A53                                no
+  ASF5Filter2A54                                no
+  ASF5Filter2A55                                no
+  ASF5FilterMode                                no
+  ASF5LowLoThres                                no
+  ASF5LowShrpDegF1                              no
+  ASF5LowShrpDegF2                              no
+  ASF5LowSmthPrcnt                              no
+  ASF5LowUpThres                                no
+  ASF5LumaFilter00                              no
+  ASF5LumaFilter01                              no
+  ASF5LumaFilter02                              no
+  ASF5LumaFilter03                              no
+  ASF5LumaFilter04                              no
+  ASF5LumaFilter05                              no
+  ASF5LumaFilter06                              no
+  ASF5LumaFilter07                              no
+  ASF5LumaFilter08                              no
+  ASF5MaxExposureIndex                          no
+  ASF5NrmLoThres                                no
+  ASF5NrmShrpDegF1                              no
+  ASF5NrmShrpDegF2                              no
+  ASF5NrmSmthPrcnt                              no
+  ASF5NrmUpThres                                no
+  ASF5NrmizeFactor1                             no
+  ASF5NrmizeFactor2                             no
+  AWBAggressiveness                             no
+  AWBAgwGridDist2Thresh                         no
+  AWBAlgorithm                                  no
+  AWBAveBgRatio                                 no
+  AWBAveRgRatio                                 no
+  AWBBlueGainAdjRef1                            no
+  AWBBlueGainAdjRef2                            no
+  AWBBlueGainAdjRef3                            no
+  AWBBlueGainAdjRef4                            no
+  AWBBlueGainAdjRef5                            no
+  AWBBlueGainAdjRef6                            no
+  AWBBlueGainAdjRef7                            no
+  AWBBlueGainAdjRef8                            no
+  AWBBlueGainRef1                               no
+  AWBBlueGainRef2                               no
+  AWBBlueGainRef3                               no
+  AWBBlueGainRef4                               no
+  AWBBlueGainRef5                               no
+  AWBBlueGainRef6                               no
+  AWBBlueGainRef7                               no
+  AWBBlueGainRef8                               no
+  AWBCcBias                                     no
+  AWBCompactClusterR2                           no
+  AWBEnable                                     no
+  AWBGreenOffsetBg                              no
+  AWBGreenOffsetRg                              no
+  AWBIndoorSampleInfluence                      no
+  AWBLoVfeC1                                    no
+  AWBLoVfeC2                                    no
+  AWBLoVfeC3                                    no
+  AWBLoVfeC4                                    no
+  AWBLoVfeM1                                    no
+  AWBLoVfeM2                                    no
+  AWBLoVfeM3                                    no
+  AWBLoVfeM4                                    no
+  AWBLoVfeMaxY                                  no
+  AWBLoVfeMinY                                  no
+  AWBLowLigColCorEna                            no
+  AWBMaxBGain                                   no
+  AWBMaxGGain                                   no
+  AWBMaxRGain                                   no
+  AWBMinBGain                                   no
+  AWBMinGGain                                   no
+  AWBMinRGain                                   no
+  AWBNormVfeC1                                  no
+  AWBNormVfeC2                                  no
+  AWBNormVfeC3                                  no
+  AWBNormVfeC4                                  no
+  AWBNormVfeM1                                  no
+  AWBNormVfeM2                                  no
+  AWBNormVfeM3                                  no
+  AWBNormVfeM4                                  no
+  AWBNormVfeMaxY                                no
+  AWBNormVfeMinY                                no
+  AWBOudorVfeC1                                 no
+  AWBOudorVfeC2                                 no
+  AWBOudorVfeC3                                 no
+  AWBOudorVfeC4                                 no
+  AWBOudorVfeM1                                 no
+  AWBOudorVfeM2                                 no
+  AWBOudorVfeM3                                 no
+  AWBOudorVfeM4                                 no
+  AWBOudorVfeMaxY                               no
+  AWBOudorVfeMinY                               no
+  AWBOutdoorSampleInfluence                     no
+  AWBPrevWbBgain                                no
+  AWBPrevWbGgain                                no
+  AWBPrevWbRgain                                no
+  AWBRedGainAdjRef1                             no
+  AWBRedGainAdjRef2                             no
+  AWBRedGainAdjRef3                             no
+  AWBRedGainAdjRef4                             no
+  AWBRedGainAdjRef5                             no
+  AWBRedGainAdjRef6                             no
+  AWBRedGainAdjRef7                             no
+  AWBRedGainAdjRef8                             no
+  AWBRedGainRef1                                no
+  AWBRedGainRef2                                no
+  AWBRedGainRef3                                no
+  AWBRedGainRef4                                no
+  AWBRedGainRef5                                no
+  AWBRedGainRef6                                no
+  AWBRedGainRef7                                no
+  AWBRedGainRef8                                no
+  AWBSampleDecision                             no
+  AWBSnapshotBGain                              no
+  AWBSnapshotRGain                              no
+  AntiBadingPixelClk                            no
+  AntiBadingPixelClkPerLine                     no
+  AntibandingEnable                             no
+  BlckLvlEvenCols                               no
+  BlckLvlOddCols                                no
+  CamMclkHz                                     no
+  ChroSupChroThres1                             no
+  ChroSupChroThres2                             no
+  ChroSupLumaThres1                             no
+  ChroSupLumaThres2                             no
+  ChroSupLumaThres3                             no
+  ChroSupLumaThres4                             no
+  ChromSupress                                  no
+  ClipToAfRato                                  no
+  CurrResol                                     no
+  DayltConvChrmA_M                              no
+  DayltConvChrmA_P                              no
+  DayltConvChrmB_M                              no
+  DayltConvChrmB_P                              no
+  DayltConvChrmC_M                              no
+  DayltConvChrmC_P                              no
+  DayltConvChrmD_M                              no
+  DayltConvChrmD_P                              no
+  DayltConvChrmKCb                              no
+  DayltConvChrmKCr                              no
+  DayltConvLumaK                                no
+  DayltConvLumaV0                               no
+  DayltConvLumaV1                               no
+  DayltConvLumaV2                               no
+  DefConvChrmA_M                                no
+  DefConvChrmA_P                                no
+  DefConvChrmB_M                                no
+  DefConvChrmB_P                                no
+  DefConvChrmC_M                                no
+  DefConvChrmC_P                                no
+  DefConvChrmD_M                                no
+  DefConvChrmD_P                                no
+  DefConvChrmKCb                                no
+  DefConvChrmKCr                                no
+  DefConvLumaK                                  no
+  DefConvLumaV0                                 no
+  DefConvLumaV1                                 no
+  DefConvLumaV2                                 no
+  DefCorC0                                      no
+  DefCorC1                                      no
+  DefCorC2                                      no
+  DefCorC3                                      no
+  DefCorC4                                      no
+  DefCorC5                                      no
+  DefCorC6                                      no
+  DefCorC7                                      no
+  DefCorC8                                      no
+  DefCorK0                                      no
+  DefCorK1                                      no
+  DefCorK2                                      no
+  DefLumaGammaMode                              no
+  DefRgbGammaMode                               no
+  DefectPixCorEnable                            no
+  DefectPixMaxThresh                            no
+  DefectPixMinThresh                            no
+  DiscardFrstFrm                                no
+  FrmSkipPttrn                                  no
+  GammaEnable                                   no
+  HJREnable                                     no
+  HJRMaxNumFrames                               no
+  HJROneToTwoOffset                             no
+  HJRTextureThreshold                           no
+  HJR_NReductionFlat                            no
+  HJR_NReductionTexture                         no
+  IncandConvChrmA_M                             no
+  IncandConvChrmA_P                             no
+  IncandConvChrmB_M                             no
+  IncandConvChrmB_P                             no
+  IncandConvChrmC_M                             no
+  IncandConvChrmC_P                             no
+  IncandConvChrmD_M                             no
+  IncandConvChrmD_P                             no
+  IncandConvChrmKCb                             no
+  IncandConvChrmKCr                             no
+  IncandConvLumaK                               no
+  IncandConvLumaV0                              no
+  IncandConvLumaV1                              no
+  IncandConvLumaV2                              no
+  LADetect                                      no
+  LAEnable                                      no
+  MaxPrviewFps                                  no
+  MaxVideoFps                                   no
+  NghtshtFps                                    no
+  NightshotMode                                 no
+  OutlierDistance                               no
+  PclkInvert                                    no
+  PrviewFps                                     no
+  PrviewResol                                   no
+  R2ABlueCtbl00                                 no
+  R2ABlueCtbl01                                 no
+  R2ABlueCtbl02                                 no
+  R2ABlueCtbl03                                 no
+  R2ABlueCtbl04                                 no
+  R2ABlueCtbl05                                 no
+  R2ABlueCtbl06                                 no
+  R2ABlueCtbl07                                 no
+  R2ABlueCtbl08                                 no
+  R2ABlueCtbl09                                 no
+  R2ABlueCtbl10                                 no
+  R2ABlueCtbl11                                 no
+  R2ABlueCtbl12                                 no
+  R2ABlueCtbl13                                 no
+  R2ABlueCtbl14                                 no
+  R2ABlueCtbl15                                 no
+  R2ABlueCtbl16                                 no
+  R2ABlueCtbl17                                 no
+  R2ABlueCtbl18                                 no
+  R2ABlueCtbl19                                 no
+  R2ABlueCtbl20                                 no
+  R2ABlueCtbl21                                 no
+  R2ABlueCtbl22                                 no
+  R2ABlueCtbl23                                 no
+  R2ABlueCtbl24                                 no
+  R2ABlueCtbl25                                 no
+  R2ABlueCtbl26                                 no
+  R2ABlueCtbl27                                 no
+  R2ABlueCtbl28                                 no
+  R2ABlueCtbl29                                 no
+  R2ABlueCtbl30                                 no
+  R2ABlueCtbl31                                 no
+  R2ABlueStbl00                                 no
+  R2ABlueStbl01                                 no
+  R2ABlueStbl02                                 no
+  R2ABlueStbl03                                 no
+  R2ABlueStbl04                                 no
+  R2ABlueStbl05                                 no
+  R2ABlueStbl06                                 no
+  R2ABlueStbl07                                 no
+  R2ABlueStbl08                                 no
+  R2ABlueStbl09                                 no
+  R2ABlueStbl10                                 no
+  R2ABlueStbl11                                 no
+  R2ABlueStbl12                                 no
+  R2ABlueStbl13                                 no
+  R2ABlueStbl14                                 no
+  R2ABlueStbl15                                 no
+  R2ABlueStbl16                                 no
+  R2ABlueStbl17                                 no
+  R2ABlueStbl18                                 no
+  R2ABlueStbl19                                 no
+  R2ABlueStbl20                                 no
+  R2ABlueStbl21                                 no
+  R2ABlueStbl22                                 no
+  R2ABlueStbl23                                 no
+  R2ABlueStbl24                                 no
+  R2ABlueStbl25                                 no
+  R2ABlueStbl26                                 no
+  R2ABlueStbl27                                 no
+  R2ABlueStbl28                                 no
+  R2ABlueStbl29                                 no
+  R2ABlueStbl30                                 no
+  R2ABlueStbl31                                 no
+  R2ACx                                         no
+  R2ACy                                         no
+  R2AGreenCtbl00                                no
+  R2AGreenCtbl01                                no
+  R2AGreenCtbl02                                no
+  R2AGreenCtbl03                                no
+  R2AGreenCtbl04                                no
+  R2AGreenCtbl05                                no
+  R2AGreenCtbl06                                no
+  R2AGreenCtbl07                                no
+  R2AGreenCtbl08                                no
+  R2AGreenCtbl09                                no
+  R2AGreenCtbl10                                no
+  R2AGreenCtbl11                                no
+  R2AGreenCtbl12                                no
+  R2AGreenCtbl13                                no
+  R2AGreenCtbl14                                no
+  R2AGreenCtbl15                                no
+  R2AGreenCtbl16                                no
+  R2AGreenCtbl17                                no
+  R2AGreenCtbl18                                no
+  R2AGreenCtbl19                                no
+  R2AGreenCtbl20                                no
+  R2AGreenCtbl21                                no
+  R2AGreenCtbl22                                no
+  R2AGreenCtbl23                                no
+  R2AGreenCtbl24                                no
+  R2AGreenCtbl25                                no
+  R2AGreenCtbl26                                no
+  R2AGreenCtbl27                                no
+  R2AGreenCtbl28                                no
+  R2AGreenCtbl29                                no
+  R2AGreenCtbl30                                no
+  R2AGreenCtbl31                                no
+  R2AGreenStbl00                                no
+  R2AGreenStbl01                                no
+  R2AGreenStbl02                                no
+  R2AGreenStbl03                                no
+  R2AGreenStbl04                                no
+  R2AGreenStbl05                                no
+  R2AGreenStbl06                                no
+  R2AGreenStbl07                                no
+  R2AGreenStbl08                                no
+  R2AGreenStbl09                                no
+  R2AGreenStbl10                                no
+  R2AGreenStbl11                                no
+  R2AGreenStbl12                                no
+  R2AGreenStbl13                                no
+  R2AGreenStbl14                                no
+  R2AGreenStbl15                                no
+  R2AGreenStbl16                                no
+  R2AGreenStbl17                                no
+  R2AGreenStbl18                                no
+  R2AGreenStbl19                                no
+  R2AGreenStbl20                                no
+  R2AGreenStbl21                                no
+  R2AGreenStbl22                                no
+  R2AGreenStbl23                                no
+  R2AGreenStbl24                                no
+  R2AGreenStbl25                                no
+  R2AGreenStbl26                                no
+  R2AGreenStbl27                                no
+  R2AGreenStbl28                                no
+  R2AGreenStbl29                                no
+  R2AGreenStbl30                                no
+  R2AGreenStbl31                                no
+  R2AHeight                                     no
+  R2AIntervals                                  no
+  R2ARedCtbl00                                  no
+  R2ARedCtbl01                                  no
+  R2ARedCtbl02                                  no
+  R2ARedCtbl03                                  no
+  R2ARedCtbl04                                  no
+  R2ARedCtbl05                                  no
+  R2ARedCtbl06                                  no
+  R2ARedCtbl07                                  no
+  R2ARedCtbl08                                  no
+  R2ARedCtbl09                                  no
+  R2ARedCtbl10                                  no
+  R2ARedCtbl11                                  no
+  R2ARedCtbl12                                  no
+  R2ARedCtbl13                                  no
+  R2ARedCtbl14                                  no
+  R2ARedCtbl15                                  no
+  R2ARedCtbl16                                  no
+  R2ARedCtbl17                                  no
+  R2ARedCtbl18                                  no
+  R2ARedCtbl19                                  no
+  R2ARedCtbl20                                  no
+  R2ARedCtbl21                                  no
+  R2ARedCtbl22                                  no
+  R2ARedCtbl23                                  no
+  R2ARedCtbl24                                  no
+  R2ARedCtbl25                                  no
+  R2ARedCtbl26                                  no
+  R2ARedCtbl27                                  no
+  R2ARedCtbl28                                  no
+  R2ARedCtbl29                                  no
+  R2ARedCtbl30                                  no
+  R2ARedCtbl31                                  no
+  R2ARedStbl00                                  no
+  R2ARedStbl01                                  no
+  R2ARedStbl02                                  no
+  R2ARedStbl03                                  no
+  R2ARedStbl04                                  no
+  R2ARedStbl05                                  no
+  R2ARedStbl06                                  no
+  R2ARedStbl07                                  no
+  R2ARedStbl08                                  no
+  R2ARedStbl09                                  no
+  R2ARedStbl10                                  no
+  R2ARedStbl11                                  no
+  R2ARedStbl12                                  no
+  R2ARedStbl13                                  no
+  R2ARedStbl14                                  no
+  R2ARedStbl15                                  no
+  R2ARedStbl16                                  no
+  R2ARedStbl17                                  no
+  R2ARedStbl18                                  no
+  R2ARedStbl19                                  no
+  R2ARedStbl20                                  no
+  R2ARedStbl21                                  no
+  R2ARedStbl22                                  no
+  R2ARedStbl23                                  no
+  R2ARedStbl24                                  no
+  R2ARedStbl25                                  no
+  R2ARedStbl26                                  no
+  R2ARedStbl27                                  no
+  R2ARedStbl28                                  no
+  R2ARedStbl29                                  no
+  R2ARedStbl30                                  no
+  R2ARedStbl31                                  no
+  R2ATbl00                                      no
+  R2ATbl01                                      no
+  R2ATbl02                                      no
+  R2ATbl03                                      no
+  R2ATbl04                                      no
+  R2ATbl05                                      no
+  R2ATbl06                                      no
+  R2ATbl07                                      no
+  R2ATbl08                                      no
+  R2ATbl09                                      no
+  R2ATbl10                                      no
+  R2ATbl11                                      no
+  R2ATbl12                                      no
+  R2ATbl13                                      no
+  R2ATbl14                                      no
+  R2ATbl15                                      no
+  R2ATbl16                                      no
+  R2ATbl17                                      no
+  R2ATbl18                                      no
+  R2ATbl19                                      no
+  R2ATbl20                                      no
+  R2ATbl21                                      no
+  R2ATbl22                                      no
+  R2ATbl23                                      no
+  R2ATbl24                                      no
+  R2ATbl25                                      no
+  R2ATbl26                                      no
+  R2ATbl27                                      no
+  R2ATbl28                                      no
+  R2ATbl29                                      no
+  R2ATbl30                                      no
+  R2ATbl31                                      no
+  R2AWidth                                      no
+  R2D65BlueCtbl00                               no
+  R2D65BlueCtbl01                               no
+  R2D65BlueCtbl02                               no
+  R2D65BlueCtbl03                               no
+  R2D65BlueCtbl04                               no
+  R2D65BlueCtbl05                               no
+  R2D65BlueCtbl06                               no
+  R2D65BlueCtbl07                               no
+  R2D65BlueCtbl08                               no
+  R2D65BlueCtbl09                               no
+  R2D65BlueCtbl10                               no
+  R2D65BlueCtbl11                               no
+  R2D65BlueCtbl12                               no
+  R2D65BlueCtbl13                               no
+  R2D65BlueCtbl14                               no
+  R2D65BlueCtbl15                               no
+  R2D65BlueCtbl16                               no
+  R2D65BlueCtbl17                               no
+  R2D65BlueCtbl18                               no
+  R2D65BlueCtbl19                               no
+  R2D65BlueCtbl20                               no
+  R2D65BlueCtbl21                               no
+  R2D65BlueCtbl22                               no
+  R2D65BlueCtbl23                               no
+  R2D65BlueCtbl24                               no
+  R2D65BlueCtbl25                               no
+  R2D65BlueCtbl26                               no
+  R2D65BlueCtbl27                               no
+  R2D65BlueCtbl28                               no
+  R2D65BlueCtbl29                               no
+  R2D65BlueCtbl30                               no
+  R2D65BlueCtbl31                               no
+  R2D65BlueStbl00                               no
+  R2D65BlueStbl01                               no
+  R2D65BlueStbl02                               no
+  R2D65BlueStbl03                               no
+  R2D65BlueStbl04                               no
+  R2D65BlueStbl05                               no
+  R2D65BlueStbl06                               no
+  R2D65BlueStbl07                               no
+  R2D65BlueStbl08                               no
+  R2D65BlueStbl09                               no
+  R2D65BlueStbl10                               no
+  R2D65BlueStbl11                               no
+  R2D65BlueStbl12                               no
+  R2D65BlueStbl13                               no
+  R2D65BlueStbl14                               no
+  R2D65BlueStbl15                               no
+  R2D65BlueStbl16                               no
+  R2D65BlueStbl17                               no
+  R2D65BlueStbl18                               no
+  R2D65BlueStbl19                               no
+  R2D65BlueStbl20                               no
+  R2D65BlueStbl21                               no
+  R2D65BlueStbl22                               no
+  R2D65BlueStbl23                               no
+  R2D65BlueStbl24                               no
+  R2D65BlueStbl25                               no
+  R2D65BlueStbl26                               no
+  R2D65BlueStbl27                               no
+  R2D65BlueStbl28                               no
+  R2D65BlueStbl29                               no
+  R2D65BlueStbl30                               no
+  R2D65BlueStbl31                               no
+  R2D65Cx                                       no
+  R2D65Cy                                       no
+  R2D65GreenCtbl00                              no
+  R2D65GreenCtbl01                              no
+  R2D65GreenCtbl02                              no
+  R2D65GreenCtbl03                              no
+  R2D65GreenCtbl04                              no
+  R2D65GreenCtbl05                              no
+  R2D65GreenCtbl06                              no
+  R2D65GreenCtbl07                              no
+  R2D65GreenCtbl08                              no
+  R2D65GreenCtbl09                              no
+  R2D65GreenCtbl10                              no
+  R2D65GreenCtbl11                              no
+  R2D65GreenCtbl12                              no
+  R2D65GreenCtbl13                              no
+  R2D65GreenCtbl14                              no
+  R2D65GreenCtbl15                              no
+  R2D65GreenCtbl16                              no
+  R2D65GreenCtbl17                              no
+  R2D65GreenCtbl18                              no
+  R2D65GreenCtbl19                              no
+  R2D65GreenCtbl20                              no
+  R2D65GreenCtbl21                              no
+  R2D65GreenCtbl22                              no
+  R2D65GreenCtbl23                              no
+  R2D65GreenCtbl24                              no
+  R2D65GreenCtbl25                              no
+  R2D65GreenCtbl26                              no
+  R2D65GreenCtbl27                              no
+  R2D65GreenCtbl28                              no
+  R2D65GreenCtbl29                              no
+  R2D65GreenCtbl30                              no
+  R2D65GreenCtbl31                              no
+  R2D65GreenStbl00                              no
+  R2D65GreenStbl01                              no
+  R2D65GreenStbl02                              no
+  R2D65GreenStbl03                              no
+  R2D65GreenStbl04                              no
+  R2D65GreenStbl05                              no
+  R2D65GreenStbl06                              no
+  R2D65GreenStbl07                              no
+  R2D65GreenStbl08                              no
+  R2D65GreenStbl09                              no
+  R2D65GreenStbl10                              no
+  R2D65GreenStbl11                              no
+  R2D65GreenStbl12                              no
+  R2D65GreenStbl13                              no
+  R2D65GreenStbl14                              no
+  R2D65GreenStbl15                              no
+  R2D65GreenStbl16                              no
+  R2D65GreenStbl17                              no
+  R2D65GreenStbl18                              no
+  R2D65GreenStbl19                              no
+  R2D65GreenStbl20                              no
+  R2D65GreenStbl21                              no
+  R2D65GreenStbl22                              no
+  R2D65GreenStbl23                              no
+  R2D65GreenStbl24                              no
+  R2D65GreenStbl25                              no
+  R2D65GreenStbl26                              no
+  R2D65GreenStbl27                              no
+  R2D65GreenStbl28                              no
+  R2D65GreenStbl29                              no
+  R2D65GreenStbl30                              no
+  R2D65GreenStbl31                              no
+  R2D65Height                                   no
+  R2D65Intervals                                no
+  R2D65RedCtbl00                                no
+  R2D65RedCtbl01                                no
+  R2D65RedCtbl02                                no
+  R2D65RedCtbl03                                no
+  R2D65RedCtbl04                                no
+  R2D65RedCtbl05                                no
+  R2D65RedCtbl06                                no
+  R2D65RedCtbl07                                no
+  R2D65RedCtbl08                                no
+  R2D65RedCtbl09                                no
+  R2D65RedCtbl10                                no
+  R2D65RedCtbl11                                no
+  R2D65RedCtbl12                                no
+  R2D65RedCtbl13                                no
+  R2D65RedCtbl14                                no
+  R2D65RedCtbl15                                no
+  R2D65RedCtbl16                                no
+  R2D65RedCtbl17                                no
+  R2D65RedCtbl18                                no
+  R2D65RedCtbl19                                no
+  R2D65RedCtbl20                                no
+  R2D65RedCtbl21                                no
+  R2D65RedCtbl22                                no
+  R2D65RedCtbl23                                no
+  R2D65RedCtbl24                                no
+  R2D65RedCtbl25                                no
+  R2D65RedCtbl26                                no
+  R2D65RedCtbl27                                no
+  R2D65RedCtbl28                                no
+  R2D65RedCtbl29                                no
+  R2D65RedCtbl30                                no
+  R2D65RedCtbl31                                no
+  R2D65RedStbl00                                no
+  R2D65RedStbl01                                no
+  R2D65RedStbl02                                no
+  R2D65RedStbl03                                no
+  R2D65RedStbl04                                no
+  R2D65RedStbl05                                no
+  R2D65RedStbl06                                no
+  R2D65RedStbl07                                no
+  R2D65RedStbl08                                no
+  R2D65RedStbl09                                no
+  R2D65RedStbl10                                no
+  R2D65RedStbl11                                no
+  R2D65RedStbl12                                no
+  R2D65RedStbl13                                no
+  R2D65RedStbl14                                no
+  R2D65RedStbl15                                no
+  R2D65RedStbl16                                no
+  R2D65RedStbl17                                no
+  R2D65RedStbl18                                no
+  R2D65RedStbl19                                no
+  R2D65RedStbl20                                no
+  R2D65RedStbl21                                no
+  R2D65RedStbl22                                no
+  R2D65RedStbl23                                no
+  R2D65RedStbl24                                no
+  R2D65RedStbl25                                no
+  R2D65RedStbl26                                no
+  R2D65RedStbl27                                no
+  R2D65RedStbl28                                no
+  R2D65RedStbl29                                no
+  R2D65RedStbl30                                no
+  R2D65RedStbl31                                no
+  R2D65Tbl00                                    no
+  R2D65Tbl01                                    no
+  R2D65Tbl02                                    no
+  R2D65Tbl03                                    no
+  R2D65Tbl04                                    no
+  R2D65Tbl05                                    no
+  R2D65Tbl06                                    no
+  R2D65Tbl07                                    no
+  R2D65Tbl08                                    no
+  R2D65Tbl09                                    no
+  R2D65Tbl10                                    no
+  R2D65Tbl11                                    no
+  R2D65Tbl12                                    no
+  R2D65Tbl13                                    no
+  R2D65Tbl14                                    no
+  R2D65Tbl15                                    no
+  R2D65Tbl16                                    no
+  R2D65Tbl17                                    no
+  R2D65Tbl18                                    no
+  R2D65Tbl19                                    no
+  R2D65Tbl20                                    no
+  R2D65Tbl21                                    no
+  R2D65Tbl22                                    no
+  R2D65Tbl23                                    no
+  R2D65Tbl24                                    no
+  R2D65Tbl25                                    no
+  R2D65Tbl26                                    no
+  R2D65Tbl27                                    no
+  R2D65Tbl28                                    no
+  R2D65Tbl29                                    no
+  R2D65Tbl30                                    no
+  R2D65Tbl31                                    no
+  R2D65Width                                    no
+  R2TL84BlueCtbl00                              no
+  R2TL84BlueCtbl01                              no
+  R2TL84BlueCtbl02                              no
+  R2TL84BlueCtbl03                              no
+  R2TL84BlueCtbl04                              no
+  R2TL84BlueCtbl05                              no
+  R2TL84BlueCtbl06                              no
+  R2TL84BlueCtbl07                              no
+  R2TL84BlueCtbl08                              no
+  R2TL84BlueCtbl09                              no
+  R2TL84BlueCtbl10                              no
+  R2TL84BlueCtbl11                              no
+  R2TL84BlueCtbl12                              no
+  R2TL84BlueCtbl13                              no
+  R2TL84BlueCtbl14                              no
+  R2TL84BlueCtbl15                              no
+  R2TL84BlueCtbl16                              no
+  R2TL84BlueCtbl17                              no
+  R2TL84BlueCtbl18                              no
+  R2TL84BlueCtbl19                              no
+  R2TL84BlueCtbl20                              no
+  R2TL84BlueCtbl21                              no
+  R2TL84BlueCtbl22                              no
+  R2TL84BlueCtbl23                              no
+  R2TL84BlueCtbl24                              no
+  R2TL84BlueCtbl25                              no
+  R2TL84BlueCtbl26                              no
+  R2TL84BlueCtbl27                              no
+  R2TL84BlueCtbl28                              no
+  R2TL84BlueCtbl29                              no
+  R2TL84BlueCtbl30                              no
+  R2TL84BlueCtbl31                              no
+  R2TL84BlueStbl00                              no
+  R2TL84BlueStbl01                              no
+  R2TL84BlueStbl02                              no
+  R2TL84BlueStbl03                              no
+  R2TL84BlueStbl04                              no
+  R2TL84BlueStbl05                              no
+  R2TL84BlueStbl06                              no
+  R2TL84BlueStbl07                              no
+  R2TL84BlueStbl08                              no
+  R2TL84BlueStbl09                              no
+  R2TL84BlueStbl10                              no
+  R2TL84BlueStbl11                              no
+  R2TL84BlueStbl12                              no
+  R2TL84BlueStbl13                              no
+  R2TL84BlueStbl14                              no
+  R2TL84BlueStbl15                              no
+  R2TL84BlueStbl16                              no
+  R2TL84BlueStbl17                              no
+  R2TL84BlueStbl18                              no
+  R2TL84BlueStbl19                              no
+  R2TL84BlueStbl20                              no
+  R2TL84BlueStbl21                              no
+  R2TL84BlueStbl22                              no
+  R2TL84BlueStbl23                              no
+  R2TL84BlueStbl24                              no
+  R2TL84BlueStbl25                              no
+  R2TL84BlueStbl26                              no
+  R2TL84BlueStbl27                              no
+  R2TL84BlueStbl28                              no
+  R2TL84BlueStbl29                              no
+  R2TL84BlueStbl30                              no
+  R2TL84BlueStbl31                              no
+  R2TL84Cx                                      no
+  R2TL84Cy                                      no
+  R2TL84GreenCtbl00                             no
+  R2TL84GreenCtbl01                             no
+  R2TL84GreenCtbl02                             no
+  R2TL84GreenCtbl03                             no
+  R2TL84GreenCtbl04                             no
+  R2TL84GreenCtbl05                             no
+  R2TL84GreenCtbl06                             no
+  R2TL84GreenCtbl07                             no
+  R2TL84GreenCtbl08                             no
+  R2TL84GreenCtbl09                             no
+  R2TL84GreenCtbl10                             no
+  R2TL84GreenCtbl11                             no
+  R2TL84GreenCtbl12                             no
+  R2TL84GreenCtbl13                             no
+  R2TL84GreenCtbl14                             no
+  R2TL84GreenCtbl15                             no
+  R2TL84GreenCtbl16                             no
+  R2TL84GreenCtbl17                             no
+  R2TL84GreenCtbl18                             no
+  R2TL84GreenCtbl19                             no
+  R2TL84GreenCtbl20                             no
+  R2TL84GreenCtbl21                             no
+  R2TL84GreenCtbl22                             no
+  R2TL84GreenCtbl23                             no
+  R2TL84GreenCtbl24                             no
+  R2TL84GreenCtbl25                             no
+  R2TL84GreenCtbl26                             no
+  R2TL84GreenCtbl27                             no
+  R2TL84GreenCtbl28                             no
+  R2TL84GreenCtbl29                             no
+  R2TL84GreenCtbl30                             no
+  R2TL84GreenCtbl31                             no
+  R2TL84GreenStbl00                             no
+  R2TL84GreenStbl01                             no
+  R2TL84GreenStbl02                             no
+  R2TL84GreenStbl03                             no
+  R2TL84GreenStbl04                             no
+  R2TL84GreenStbl05                             no
+  R2TL84GreenStbl06                             no
+  R2TL84GreenStbl07                             no
+  R2TL84GreenStbl08                             no
+  R2TL84GreenStbl09                             no
+  R2TL84GreenStbl10                             no
+  R2TL84GreenStbl11                             no
+  R2TL84GreenStbl12                             no
+  R2TL84GreenStbl13                             no
+  R2TL84GreenStbl14                             no
+  R2TL84GreenStbl15                             no
+  R2TL84GreenStbl16                             no
+  R2TL84GreenStbl17                             no
+  R2TL84GreenStbl18                             no
+  R2TL84GreenStbl19                             no
+  R2TL84GreenStbl20                             no
+  R2TL84GreenStbl21                             no
+  R2TL84GreenStbl22                             no
+  R2TL84GreenStbl23                             no
+  R2TL84GreenStbl24                             no
+  R2TL84GreenStbl25                             no
+  R2TL84GreenStbl26                             no
+  R2TL84GreenStbl27                             no
+  R2TL84GreenStbl28                             no
+  R2TL84GreenStbl29                             no
+  R2TL84GreenStbl30                             no
+  R2TL84GreenStbl31                             no
+  R2TL84Height                                  no
+  R2TL84Intervals                               no
+  R2TL84RedCtbl00                               no
+  R2TL84RedCtbl01                               no
+  R2TL84RedCtbl02                               no
+  R2TL84RedCtbl03                               no
+  R2TL84RedCtbl04                               no
+  R2TL84RedCtbl05                               no
+  R2TL84RedCtbl06                               no
+  R2TL84RedCtbl07                               no
+  R2TL84RedCtbl08                               no
+  R2TL84RedCtbl09                               no
+  R2TL84RedCtbl10                               no
+  R2TL84RedCtbl11                               no
+  R2TL84RedCtbl12                               no
+  R2TL84RedCtbl13                               no
+  R2TL84RedCtbl14                               no
+  R2TL84RedCtbl15                               no
+  R2TL84RedCtbl16                               no
+  R2TL84RedCtbl17                               no
+  R2TL84RedCtbl18                               no
+  R2TL84RedCtbl19                               no
+  R2TL84RedCtbl20                               no
+  R2TL84RedCtbl21                               no
+  R2TL84RedCtbl22                               no
+  R2TL84RedCtbl23                               no
+  R2TL84RedCtbl24                               no
+  R2TL84RedCtbl25                               no
+  R2TL84RedCtbl26                               no
+  R2TL84RedCtbl27                               no
+  R2TL84RedCtbl28                               no
+  R2TL84RedCtbl29                               no
+  R2TL84RedCtbl30                               no
+  R2TL84RedCtbl31                               no
+  R2TL84RedStbl00                               no
+  R2TL84RedStbl01                               no
+  R2TL84RedStbl02                               no
+  R2TL84RedStbl03                               no
+  R2TL84RedStbl04                               no
+  R2TL84RedStbl05                               no
+  R2TL84RedStbl06                               no
+  R2TL84RedStbl07                               no
+  R2TL84RedStbl08                               no
+  R2TL84RedStbl09                               no
+  R2TL84RedStbl10                               no
+  R2TL84RedStbl11                               no
+  R2TL84RedStbl12                               no
+  R2TL84RedStbl13                               no
+  R2TL84RedStbl14                               no
+  R2TL84RedStbl15                               no
+  R2TL84RedStbl16                               no
+  R2TL84RedStbl17                               no
+  R2TL84RedStbl18                               no
+  R2TL84RedStbl19                               no
+  R2TL84RedStbl20                               no
+  R2TL84RedStbl21                               no
+  R2TL84RedStbl22                               no
+  R2TL84RedStbl23                               no
+  R2TL84RedStbl24                               no
+  R2TL84RedStbl25                               no
+  R2TL84RedStbl26                               no
+  R2TL84RedStbl27                               no
+  R2TL84RedStbl28                               no
+  R2TL84RedStbl29                               no
+  R2TL84RedStbl30                               no
+  R2TL84RedStbl31                               no
+  R2TL84Tbl00                                   no
+  R2TL84Tbl01                                   no
+  R2TL84Tbl02                                   no
+  R2TL84Tbl03                                   no
+  R2TL84Tbl04                                   no
+  R2TL84Tbl05                                   no
+  R2TL84Tbl06                                   no
+  R2TL84Tbl07                                   no
+  R2TL84Tbl08                                   no
+  R2TL84Tbl09                                   no
+  R2TL84Tbl10                                   no
+  R2TL84Tbl11                                   no
+  R2TL84Tbl12                                   no
+  R2TL84Tbl13                                   no
+  R2TL84Tbl14                                   no
+  R2TL84Tbl15                                   no
+  R2TL84Tbl16                                   no
+  R2TL84Tbl17                                   no
+  R2TL84Tbl18                                   no
+  R2TL84Tbl19                                   no
+  R2TL84Tbl20                                   no
+  R2TL84Tbl21                                   no
+  R2TL84Tbl22                                   no
+  R2TL84Tbl23                                   no
+  R2TL84Tbl24                                   no
+  R2TL84Tbl25                                   no
+  R2TL84Tbl26                                   no
+  R2TL84Tbl27                                   no
+  R2TL84Tbl28                                   no
+  R2TL84Tbl29                                   no
+  R2TL84Tbl30                                   no
+  R2TL84Tbl31                                   no
+  R2TL84Width                                   no
+  RolloffEnable                                 no
+  SensorFmt                                     no
+  SensorType                                    no
+  SensrFulHght                                  no
+  SensrFulWdth                                  no
+  SensrQtrHght                                  no
+  SensrQtrWdth                                  no
+  SnapshotResol                                 no
+  TL84ConvChrmA_M                               no
+  TL84ConvChrmA_P                               no
+  TL84ConvChrmB_M                               no
+  TL84ConvChrmB_P                               no
+  TL84ConvChrmC_M                               no
+  TL84ConvChrmC_P                               no
+  TL84ConvChrmD_M                               no
+  TL84ConvChrmD_P                               no
+  TL84ConvChrmKCb                               no
+  TL84ConvChrmKCr                               no
+  TL84ConvLumaK                                 no
+  TL84ConvLumaV0                                no
+  TL84ConvLumaV1                                no
+  TL84ConvLumaV2                                no
+  VideoFps                                      no
+  YhiYloConvChrmA_M                             no
+  YhiYloConvChrmA_P                             no
+  YhiYloConvChrmB_M                             no
+  YhiYloConvChrmB_P                             no
+  YhiYloConvChrmC_M                             no
+  YhiYloConvChrmC_P                             no
+  YhiYloConvChrmD_M                             no
+  YhiYloConvChrmD_P                             no
+  YhiYloConvChrmKCb                             no
+  YhiYloConvChrmKCr                             no
+  YhiYloConvLumaK                               no
+  YhiYloConvLumaV0                              no
+  YhiYloConvLumaV1                              no
+  YhiYloConvLumaV2                              no
+  YhiYloCorC0                                   no
+  YhiYloCorC1                                   no
+  YhiYloCorC2                                   no
+  YhiYloCorC3                                   no
+  YhiYloCorC4                                   no
+  YhiYloCorC5                                   no
+  YhiYloCorC6                                   no
+  YhiYloCorC7                                   no
+  YhiYloCorC8                                   no
+  YhiYloCorK0                                   no
+  YhiYloCorK1                                   no
+  YhiYloCorK2                                   no
 
 =head2 APP12 Tags
